MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MeLEDMatrix Class Reference

Driver for Me LED Matrix module. More...

`#include <src/MeLEDMatrix.h>`

Inheritance diagram for MeLEDMatrix:
[legend]
Collaboration diagram for MeLEDMatrix:
[legend]

## Public Member Functions
| MeLEDMatrix ()
| MeLEDMatrix (uint8_t port)
| MeLEDMatrix (uint8_t SCK_Pin, uint8_t DIN_Pin)
void | clearScreen ()
void | setBrightness (uint8_t Bright)
void | setColorIndex (bool Color_Number)
void | drawBitmap (int8_t x, int8_t y, uint8_t Bitmap_Width, uint8_t *Bitmap)
void | drawStr (int16_t X_position, int8_t Y_position, const char *str)
void | showClock (uint8_t hour, uint8_t minute, bool=PointOn)
void | showNum (float value, uint8_t=3)
void | reset (uint8_t port)
Public Member Functions inherited from MePort
| MePort (void)
| MePort (uint8_t port)
| MePort (uint8_t port, uint8_t slot)
uint8_t | getPort (void)
uint8_t | getSlot (void)
bool | dRead1 (uint8_t mode=INPUT)
bool | dRead2 (uint8_t mode=INPUT)
bool | dpRead1 (void)
bool | dpRead2 (void)
void | dWrite1 (bool value)
void | dWrite2 (bool value)
int16_t | aRead1 (void)
int16_t | aRead2 (void)
void | aWrite1 (int16_t value)
void | aWrite2 (int16_t value)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
uint8_t | pin1 (void)
uint8_t | pin2 (void)
uint8_t | pin (void)
uint8_t | pin (uint8_t port, uint8_t slot)

## Additional Inherited Members
Protected Attributes inherited from MePort
uint8_t | s1
uint8_t | s2
uint8_t | _port
uint8_t | _slot

## Detailed Description

Driver for Me LED Matrix module.

Class: MeLEDMatrix

Description
  Declaration of Class MeLEDMatrix.

Copyright (C), 2012-2015, MakeBlock

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeLEDMatrix() [1/3]

MeLEDMatrix::MeLEDMatrix | ( |  | ) |

Alternate Constructor which can call your own function to map the LED Matrix to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ MeLEDMatrix() [2/3]

MeLEDMatrix::MeLEDMatrix | ( | uint8_t | port | ) |

Alternate Constructor which can call your own function to map the LED Matrix to arduino port, If the hardware serial was selected, we will used the hardware serial.

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

## ◆ MeLEDMatrix() [3/3]

MeLEDMatrix::MeLEDMatrix | ( | uint8_t | SCK_Pin,
|  | uint8_t | DIN_Pin
| ) |  |

Alternate Constructor which can call your own function to map the Buzzer to arduino port, you can set any slot for the buzzer device.

Parameters

  [in] | SCK_Pin | - The SCk of LED Matrix.
  [in] | DIN_Pin | - Put in parameter.

## Member Function Documentation

## ◆ clearScreen()

void MeLEDMatrix::clearScreen | ( |  | ) |

Function
  clearScreen

Description
  Clear the screen.

Parameters

  [in] | None |

Output
  None \Return None.

Others
  None

## ◆ drawBitmap()

void MeLEDMatrix::drawBitmap | ( | int8_t | x,
|  | int8_t | y,
|  | uint8_t | Bitmap_Width,
|  | uint8_t * | Bitmap
| ) |  |

Function
  drawBitmap

Description
  Draw a bitmap.

Parameters

  [in] | x | - The x coordinate of bitmap.
  [in] | y | - The y coordinate of bitmap.
  [in] | Bitmap_Width | - The width of bitmap.
  [in] | Bitmap | - A pointer to bitmap.

Output
  None \Return None.

Others
  None

## ◆ drawStr()

void MeLEDMatrix::drawStr | ( | int16_t | X_position,
|  | int8_t | Y_position,
|  | const char * | str
| ) |  |

Function
  drawStr

Description
  Draw a string.

Parameters

  [in] | x | - The x coordinate for the beginning of string.
  [in] | y | - The y coordinate for the beginning of string.
  [in] | str | - A pointer to string.

Output
  None \Return None.

Others
  None

## ◆ reset()

void MeLEDMatrix::reset | ( | uint8_t | port | ) |

Function
  reset

Description
  Reset the port of LED Matrix.

Parameters

  [in] | port | - The port of LED Matrix.

Output
  None \Return None.

Others
  None

## ◆ setBrightness()

void MeLEDMatrix::setBrightness | ( | uint8_t | Bright | ) |

Function
  setBrightness

Description
  Set the brightness of LED Matrix.

Parameters

  [in] | Bright | - The brightness of LED Matrix.

Output
  None \Return None.

Others
  None

## ◆ setColorIndex()

void MeLEDMatrix::setColorIndex | ( | bool | Color_Number | ) |

Function
  setColorIndex

Description
  Set the color index for LED Matrix.

Parameters

  [in] | Color_Number | - The number of LED Matrix's color.

Output
  None \Return None.

Others
  None

## ◆ showClock()

void MeLEDMatrix::showClock | ( | uint8_t | hour,
|  | uint8_t | minute,
|  | bool | point_flag = `PointOn`
| ) |  |

Function
  showClock

Description
  Show the clock on LED Matrix.

Parameters

  [in] | hour | - The part of hour in clock.
  [in] | minute | - The part of minute in clock.
  [in] | PointOn | - Point on or not.

Output
  None \Return None.

Others
  None

## ◆ showNum()

void MeLEDMatrix::showNum | ( | float | value,
|  | uint8_t | digits = `3`
| ) |  |

Function
  showNum

Description
  Show the number on LED Matrix.

Parameters

  [in] | value | - The float data need show.
  [in] | digits | - Number of digits to display.

Output
  None \Return None.

Others
  None

The documentation for this class was generated from the following files:

- src/MeLEDMatrix.h
- src/MeLEDMatrix.cpp